import Demo from './demo'
import Card from './card'
import Dialog from './dialog'

const components = {
  Demo,
  Card,
  Dialog,
}

const install = function (Vue) {
  if (install.installed) return
  Object.keys(components).forEach((key) => {
    Vue.component(components[key].name, components[key])
  })
}

const API = {
  install,
}

export default API
